Java version used by TDM and Portal

Document ID : KB000100244
Last Modified Date : 12/06/2018
Show Technical Document Details
Question:
What versions of Java are certified to work with TDM?
How many and where are the locations that TDM stores Java to run?
Is a new version of Java pushed with TDM upgrades/patches?
Answer:
  • Java 1.8 or higher is required per the System Requirements Documentation
  • Portal uses a private JRE found in C:\Program Files\CA\CA Test Data Manager Portal\jre
  • 4.4 ships with 8.0.144
  • 4.5 ships with 8.0.152
  • Other components like FDM and Subset will use the "public" JRE. But that JRE only gets installed if an appropriate version of the public JRE is not found.
  • FDM will ship the installer: C:\Program Files\Grid-Tools\FastDataMasker\jre\jre-8u152-windows-x64.exe
  • The main Grid-Tools dir will have a copy as well: C:\Grid-Tools\Installers\jre-8u152-windows-x64.exe
  • Check in either of those locations if you need/want to install the version that is provided with the current version of TDM that is installed on your system.